use std::path::PathBuf;

#[tokio::main]
pub async fn main() -> eyre::Result<()> {
    dagger_sdk::connect(|client| async move {
        let crates = ["some-crate"];
        let dag = dagger_rust::source::RustSource::new(client.clone());
        let (_src, _rust_src) = dag.get_rust_src(None::<PathBuf>, crates).await?;

        let _full_src = dag
            .get_rust_target_src(&PathBuf::from("."), client.container(), crates)
            .await?;

        Ok(())
    })
    .await?;
    Ok(())
}
